use corrales-westhoff.dta
tsset my_id year
set matsize 120

reg  log_net    wdi_trade year wdi_gdp1000 wdi_literacy wdi_telephone hf_overall           fh_total_adj            reg_easia_pacific reg_eur_casia reg_latinamer reg_meast_nafrica reg_sasia reg_subsahara
reg  log_tv     wdi_trade year wdi_gdp1000 wdi_literacy wdi_telephone hf_overall           fh_total_adj            reg_easia_pacific reg_eur_casia reg_latinamer reg_meast_nafrica reg_sasia reg_subsahara
reg  log_net    wdi_trade year wdi_gdp1000 wdi_literacy wdi_telephone hf_overall           fh_total_adj int_fh_gdp reg_easia_pacific reg_eur_casia reg_latinamer reg_meast_nafrica reg_sasia reg_subsahara

xtgls  log_net    wdi_trade year wdi_gdp1000 wdi_literacy wdi_telephone hf_overall           fh_total_adj                reg_easia_pacific reg_eur_casia reg_latinamer reg_meast_nafrica reg_sasia reg_subsahara, corr(ar1) force panel(heteroskedastic)
xtgls  log_tv     wdi_trade year wdi_gdp1000 wdi_literacy wdi_telephone hf_overall           fh_total_adj                reg_easia_pacific reg_eur_casia reg_latinamer reg_meast_nafrica reg_sasia reg_subsahara, corr(ar1) force panel(heteroskedastic)
xtgls  log_net    wdi_trade year wdi_gdp1000 wdi_literacy wdi_telephone hf_overall           fh_total_adj int_fh_gdp     reg_easia_pacific reg_eur_casia reg_latinamer reg_meast_nafrica reg_sasia reg_subsahara, corr(ar1) force panel(heteroskedastic)

xtpcse  log_net    wdi_trade year wdi_gdp1000 wdi_literacy wdi_telephone hf_overall           fh_total_adj                reg_easia_pacific reg_eur_casia reg_latinamer reg_meast_nafrica reg_sasia reg_subsahara, corr(ar1) pairwise
xtpcse  log_tv     wdi_trade year wdi_gdp1000 wdi_literacy wdi_telephone hf_overall           fh_total_adj                reg_easia_pacific reg_eur_casia reg_latinamer reg_meast_nafrica reg_sasia reg_subsahara, corr(ar1) pairwise
xtpcse  log_net    wdi_trade year wdi_gdp1000 wdi_literacy wdi_telephone hf_overall           fh_total_adj int_fh_gdp     reg_easia_pacific reg_eur_casia reg_latinamer reg_meast_nafrica reg_sasia reg_subsahara, corr(ar1) pairwise

